Bug 387361 - eog freezes when opening <1 image
eog freezes when opening <1 image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 13:26 EST by Zack Cerza
Modified: 2009-01-09 00:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:14:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-11-16 13:26:43 EST
Version-Release number of selected component (if applicable):
eog-2.20.1-1.fc8.i386

Steps to Reproduce:
1. Open an image with eog
2. <image loads>
3. Open another image with eog
4. <eog gets stuck at "loading ..."

Additional info:
Thread 3 (Thread -1211376752 (LWP 8577)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x005d5119 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x005d089e in _L_lock_88 () from /lib/libpthread.so.0
#3  0x005d03aa in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x0098430e in gdk_threads_impl_lock () at gdk.c:388
#5  0x00e9c560 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#6  0x00aececb in atk_misc_threads_enter (misc=0x9332b60) at atkmisc.c:79
#7  0x004172ce in spi_atk_bridge_register_application (
    registry=<value optimized out>) at bridge.c:333
#8  0x00417458 in spi_atk_bridge_get_registry () at bridge.c:447
#9  0x00417c41 in spi_atk_emit_eventv (gobject=0x952b190, detail1=0, 
    detail2=0, any=0xb7cbba44, format=0x419ab0 "object:property-change:%s")
    at bridge.c:787
#10 0x00418eb1 in spi_atk_bridge_property_event_listener (
    signal_hint=0xb7cbbb2c, n_param_values=2, param_values=0xb7cbbc1c, 
    data=0x9324818) at bridge.c:964
#11 0x001c4285 in ?? () from /lib/libgobject-2.0.so.0
#12 0x001c5997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#13 0x001c5b59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#14 0x00ae6a7e in atk_object_notify (obj=0x952b190, pspec=0x92dde28)
    at atkobject.c:1344
#15 0x001c0b29 in g_cclosure_marshal_VOID__PARAM ()
   from /lib/libgobject-2.0.so.0
#16 0x001b2779 in ?? () from /lib/libgobject-2.0.so.0
#17 0x001b3f83 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#18 0x001c491a in ?? () from /lib/libgobject-2.0.so.0
#19 0x001c5997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#20 0x001c5b59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#21 0x001b8381 in ?? () from /lib/libgobject-2.0.so.0
#22 0x001b4d4f in ?? () from /lib/libgobject-2.0.so.0
#23 0x001b9052 in g_object_notify () from /lib/libgobject-2.0.so.0
#24 0x00ae52e0 in atk_object_set_parent (accessible=0x952b190, 
---Type <return> to continue, or q <return> to quit---
    parent=0x92ddef0) at atkobject.c:901
#25 0x00e953a3 in ?? () from /usr/lib/gtk-2.0/modules/libgail.so
#26 0x001c4285 in ?? () from /lib/libgobject-2.0.so.0
#27 0x001c5997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#28 0x001c5b59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#29 0x05c5efe4 in IA__gtk_widget_show (widget=0x935e1a8) at gtkwidget.c:2940
#30 0x05c68848 in IA__gtk_window_present_with_time (window=0x935e1a8, 
    timestamp=1236400374) at gtkwindow.c:6533
#31 0x0805ccea in ?? ()
#32 0x001c1409 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#33 0x001b3f83 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#34 0x001c448d in ?? () from /lib/libgobject-2.0.so.0
#35 0x001c5997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#36 0x001c5b59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#37 0x080635dd in ?? ()
#38 0x0809073d in eog_marshal_VOID__INT_INT ()
#39 0x001b3f83 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#40 0x001c448d in ?? () from /lib/libgobject-2.0.so.0
#41 0x001c5997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#42 0x001c5b59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#43 0x08075432 in eog_image_load ()
#44 0x08081109 in eog_job_load_run ()
#45 0x080801d4 in ?? ()
#46 0x0023b64f in ?? () from /lib/libglib-2.0.so.0
#47 0x005ce50b in start_thread () from /lib/libpthread.so.0
#48 0x0050fb2e in clone () from /lib/libc.so.6

Thread 2 (Thread -1225204848 (LWP 8578)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00505ac3 in poll () from /lib/libc.so.6
#2  0x0021b4d3 in ?? () from /lib/libglib-2.0.so.0
#3  0x0021b849 in g_main_loop_run () from /lib/libglib-2.0.so.0
#4  0x00db4d10 in link_io_thread_fn (data=0x0) at linc.c:396
---Type <return> to continue, or q <return> to quit---
#5  0x0023b64f in ?? () from /lib/libglib-2.0.so.0
#6  0x005ce50b in start_thread () from /lib/libpthread.so.0
#7  0x0050fb2e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208223968 (LWP 8576)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x005d5119 in __lll_lock_wait () from /lib/libpthread.so.0
#2  0x005d089e in _L_lock_88 () from /lib/libpthread.so.0
#3  0x005d03aa in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x0098430e in gdk_threads_impl_lock () at gdk.c:388
#5  0x009b5298 in gdk_event_check (source=0x92ff200) at gdkevents-x11.c:2322
#6  0x0021aee2 in g_main_context_check () from /lib/libglib-2.0.so.0
#7  0x0021b27e in ?? () from /lib/libglib-2.0.so.0
#8  0x0021b849 in g_main_loop_run () from /lib/libglib-2.0.so.0
#9  0x05b14ae4 in IA__gtk_main () at gtkmain.c:1146
#10 0x0805cb26 in main ()
#0  0x00110402 in __kernel_vsyscall ()
Comment 1 Bug Zapper 2008-11-26 03:30:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:14:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.